Cyberduck Mountain Duck CLI

#10671 closed defect (duplicate)

Connection to Synology NAS in FTP-SSL (ftps) prompts for local certificate

Reported by: Seppia Owned by:
Priority: high Milestone:
Component: ftp-tls Version: 6.9.4
Severity: major Keywords:
Cc: web@… Architecture: Intel
Platform: macOS 10.14

Description

Connecting to a Synology DS FTP server through FTP-SSL (ftps) causes Cyberduck to prompt for a local certificate. Clicking "disconnect" works, but it has to be clicked for each and every new connection (each file transfer).

Change History (6)

comment:1 Changed on May 11, 2019 at 3:22:33 PM by Seppia

  • Cc web@… added
  • Priority changed from normal to high
  • Severity changed from normal to major
  • Type changed from enhancement to defect

comment:2 Changed on May 17, 2019 at 8:04:03 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please check the server configuration not to request a certificate in the TLS handshake.

comment:3 Changed on May 30, 2019 at 10:19:03 AM by Seppia

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I also contacted Synology support. The strange thing is that FileZilla displays the distant (server) certificate in order for the client to accept it, which is expected. Cyberduck only displays a list of local (= already inside the user's Keychain) certificates, and not the server's one.

comment:4 Changed on May 30, 2019 at 10:56:44 AM by Seppia

Actually I just tried on Windows, and Cyberduck does display the distant (server) certificate with the ability to install it locally, and once it is done it doesn't prompt ever. So it seems like a macOS Cyberduck version bug that displays the local keychain certificate list, instead of the server's certificate and the ability to install it locally.

comment:5 Changed on May 30, 2019 at 9:09:01 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

Duplicate for #10468.

comment:6 Changed on May 30, 2019 at 9:09:29 PM by dkocher

Do you know what FTP server is used on Synology?

Note: See TracTickets for help on using tickets.
swiss made software